Bric::Dist::Handler - Apache/mod_perl handler for executing distribution jobs. $LastChangedRevision$ $LastChangedDate: 2006-09-16 02:41:14 +0200 (Sat, 16 Sep 2006) $ <Location /dist> SetHandler perl-script PerlHandler Bric::Dist::Handler </Location> This module is a simple Apache/mod_perl handler for executing Bricolage distribution jobs. It responds to a request with the headers "execute" and/or "expire", where the values are a comma-separated list of Bric::Util::Job IDs. Bric::Dist::Handler will instantiate and execute and/or expire each of those jobs in turn. See Bric::Dist::Client for an interface to send those headers.

Constructors
NONE.

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
NONE.

Public Instance Methods
NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
Handles the HTTP request. Throws: NONE. All exceptions are logged to the Apache error log. Side Effects: NONE. Notes: NONE. Logs an error to the Apache error log. Will handle both standard error messages as well as Bric::Util::Fault objects. Throws: NONE. Side Effects: NONE. Notes: NONE. NONE. David Wheeler <david@justatheory.com> Bric, Bric::Util::Job